- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchApprove#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchApprove#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchApprove#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchApprove#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchApprove#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchApprove#body.BatchApproveAudienceSegmentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchApprove#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchApprove#try-it)

Approves `AudienceSegment` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/audienceSegments:batchApprove`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `networks/{networkCode}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. Resource names for the AudienceSegments. Format: `networks/{networkCode}/audienceSegments/{audienceSegmentId}` |

### Response body

Response message for `audienceSegments.batchApprove` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "changeCount": string } ``` |

| Fields ||
|---|---|
| `changeCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of audience segments approved. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).